Skip to content

# Class: Singleton

## Hierarchy

- Singleton

↳ ClusterStore

↳ WorkspaceStore

## Index

### Methods

- getInstance
- resetInstance

## Methods

### `Static` getInstance

▸ getInstance‹T›(...`args`: ConstructorParameters‹Constructor‹T››): T

Defined in src/common/utils/singleton.ts:15

Type parameters:

▪ T

Parameters:

Name | Type
--- | ---
`...args` | ConstructorParameters‹Constructor‹T››

Returns: T

### `Static` resetInstance

▸ resetInstance(): void

Defined in src/common/utils/singleton.ts:23

Returns: void